X2SYS_REPORT(1)

NAME
x2sys_report - Report statistics from crossover data base

SYNOPSIS
x2sys_report -Ccolumn -TTAG [ coedbase.txt ] [ -A ] [ -I[list] ] [ -L[corrtable] ] [ -Nnx_min ] [ -Qe|i ] [ -Rwest/east/south/north[r] ] [ -Strack ] [ -V ]

DESCRIPTION
x2sys_report will read the input crossover ASCII data base coedbase.txt (or stdin) and report on the statistics of crossovers (n, mean, stdev, rms, weight) for each track. Options are available to let you exclude tracks and limit the output.

-C  Specify which data column you want to process. Crossovers related to this column name must be present in the crossover data base.

-T  Specify the x2sys TAG which tracks the attributes of this data type.

OPTIONS
No space between the option flag and the associated arguments.

coedbase.txt
    The name of the input ASCII crossover error data base as produced by x2sys_cross. If not given we read standard input instead.

-A  Eliminate COEs by distributing the COE between the two tracks in proportion to track weight and producing (dist, adjustment) spline knots files for each track (for the selected column). Such adjustments may be used by x2sys_datalist. The adjustment files are called track.column.adj and are placed in the $X2SYS_HOME/TAG directory. For background information on how these adjustments are designed, see Mittal [1984].

-I  Name of ASCII file with a list of track names (one per record) that should be excluded from consideration [Default includes all tracks].

-L  Apply optimal corrections to the chosen observable. Append the correction table to use [Default uses the correction table TAG_corrections.txt which is expected to reside in the $X2SYS_HOME/TAG directory]. For the format of this file, see x2sys_solve.

-N  Only report data from tracks involved in at least nx_min crossovers [all tracks].

-Q  Append e for external crossovers or i for internal crossovers only [Default is external].

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid. For Cartesian data just give xmin/xmax/ymin/ymax. This option bases the statistics on those COE that fall inside the specified domain.

-S  Name of a single track. If given we restrict output to those crossovers involving this track [Default output is crossovers involving any track pair].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To report statistics of all the external magnetic crossovers associated with the tag MGD77 from the file COE_data.txt, restricted to occupy a certain region in the south Pacific, try

x2sys_report COE_data.txt -V -T MGD77 -R 180/240/-60/-30 -C mag > mag_report.txt

To report on the faa crossovers globally that involves track 12345678, try

x2sys_report COE_data.txt -V -T MGD77 -C faa -S 12345678 > faa_report.txt

REFERENCES
Mittal, P. K. (1984), Algorithm for error adjustment of potential field data along a survey network, Geophysics, 49(4), 467-469.

SEE ALSO
x2sys_binlist(1) x2sys_cross(1) x2sys_datalist(1) x2sys_get(1) x2sys_init(1) x2sys_list(1) x2sys_put(1) x2sys_solve(1)